# vyos_linkagg – Manage link aggregation groups on VyOS network devices

New in version 2.4.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Updated modules released with more functionality.

Alternative

  vyos_lag_interfaces

## Synopsis

- This module provides declarative management of link aggregation groups on VyOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate list |  | List of link aggregation definitions.
members list |  | List of members of the link aggregation group.

mode
string

Choices:
- 802.3ad
- active-backup
- broadcast
- round-robin
- transmit-load-balance
- adaptive-load-balance
- xor-hash
- on

Mode of the link aggregation group.

name string / required |  | Name of the link aggregation group.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
For more information please see the Network Guide.

A dict object containing connection details.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.

state
string

Choices:
- present ←
- absent
- up
- down

State of the link aggregation group.

## Notes

Note

- Tested against VYOS 1.1.7

- For more information on using Ansible to manage network devices see the Ansible Network Guide

## Examples

    - name: configure link aggregation group
      vyos_linkagg:
        name: bond0
        members:
          - eth0
          - eth1

    - name: remove configuration
      vyos_linkagg:
        name: bond0
        state: absent

    - name: Create aggregate of linkagg definitions
      vyos_linkagg:
        aggregate:
            - { name: bond0, members: [eth1] }
            - { name: bond1, members: [eth2] }

    - name: Remove aggregate of linkagg definitions
      vyos_linkagg:
        aggregate:
          - name: bond0
          - name: bond1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['set interfaces bonding bond0', "set interfaces ethernet eth0 bond-group 'bond0'", "set interfaces ethernet eth1 bond-group 'bond0'"]

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Ricardo Carrillo Cruz (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.